function x = boltzmann_nonlinear_stage(bdata, region_area)
% function x = boltzmann_nonlinear_fit(bottom, top, tm, slope, S)
%
%
% Dr. A. I. Hanna (2007)

P = [bdata.A, bdata.tm, bdata.k];

x = fminsearch(@(P)boltzmann_stage_error_func(P, bdata.stage_times, region_area), P);
return